{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.AdministrativeArea where

--  Valid: 2016-03-21 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Text.HTML5.MetaData.Type
import Data.Text
import Data.Typeable
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Thing
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Place
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.City
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Country
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.State

-- | A geographical region, typically under the jurisdiction of a particular government.
--
--   [@id@] AdministrativeArea
--
--   [@label@] Administrative Area
--
--   [@comment@] A geographical region, typically under the jurisdiction of a particular government.
--
--   [@ancestors@] @'Thing','Place'@
--
--   [@subtypes@] @'City','Country','State'@
--
--   [@supertypes@] @'Place'@
--
--   [@url@] <http://schema.org/AdministrativeArea>
data AdministrativeArea = AdministrativeArea { additionalProperty :: AdditionalProperty
                                             , address :: Address
                                             , aggregateRating :: AggregateRating
                                             , branchCode :: BranchCode
                                             , containedInPlace :: ContainedInPlace
                                             , containsPlace :: ContainsPlace
                                             , event :: Event
                                             , faxNumber :: FaxNumber
                                             , geo :: Geo
                                             , globalLocationNumber :: GlobalLocationNumber
                                             , hasMap :: HasMap
                                             , isicV4 :: IsicV4
                                             , logo :: Logo
                                             , openingHoursSpecification :: OpeningHoursSpecification
                                             , photo :: Photo
                                             , review :: Review
                                             , telephone :: Telephone
                                             , additionalType :: AdditionalType
                                             , alternateName :: AlternateName
                                             , description :: Description
                                             , image :: Image
                                             , mainEntityOfPage :: MainEntityOfPage
                                             , name :: Name
                                             , potentialAction :: PotentialAction
                                             , sameAs :: SameAs
                                             , url :: Url
                                             }
                          deriving (Show, Read, Eq, Typeable)

instance MetaData AdministrativeArea where
  _label         = const "Administrative Area"
  _comment_plain = const "A geographical region, typically under the jurisdiction of a particular government."
  _comment       = const "A geographical region, typically under the jurisdiction of a particular government."
  _url           = const "http://schema.org/AdministrativeArea"
  _ancestors     = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Place.Place)]
  _subtypes      = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.City.City)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Country.Country)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.State.State)]
  _supertypes    = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Place.Place)]