{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.DayOfWeek where

--  Valid: 2016-03-21 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Text.HTML5.MetaData.Type hiding (DayOfWeek)
import Data.Text
import Data.Typeable
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Thing
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Intangible
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Enumeration

-- | The day of the week, e.g. used to specify to which day the opening hours of an OpeningHoursSpecification refer.    Commonly used values:    http://purl.org/goodrelations/v1#Monday     http://purl.org/goodrelations/v1#Tuesday     http://purl.org/goodrelations/v1#Wednesday     http://purl.org/goodrelations/v1#Thursday     http://purl.org/goodrelations/v1#Friday     http://purl.org/goodrelations/v1#Saturday     http://purl.org/goodrelations/v1#Sunday     http://purl.org/goodrelations/v1#PublicHolidays
--
--   [@id@] DayOfWeek
--
--   [@label@] Day of Week
--
--   [@comment@] The day of the week, e.g. used to specify to which day the opening hours of an OpeningHoursSpecification refer.<br/>    Commonly used values:<br/><br/>    http://purl.org/goodrelations/v1#Monday <br/>    http://purl.org/goodrelations/v1#Tuesday <br/>    http://purl.org/goodrelations/v1#Wednesday <br/>    http://purl.org/goodrelations/v1#Thursday <br/>    http://purl.org/goodrelations/v1#Friday <br/>    http://purl.org/goodrelations/v1#Saturday <br/>    http://purl.org/goodrelations/v1#Sunday <br/>    http://purl.org/goodrelations/v1#PublicHolidays <br/>        
--
--   [@ancestors@] @'Thing','Intangible','Enumeration'@
--
--   [@subtypes@]
--
--   [@supertypes@] @'Enumeration'@
--
--   [@url@] <http://schema.org/DayOfWeek>
data DayOfWeek = DayOfWeek { supersededBy :: SupersededBy
                           , additionalType :: AdditionalType
                           , alternateName :: AlternateName
                           , description :: Description
                           , image :: Image
                           , mainEntityOfPage :: MainEntityOfPage
                           , name :: Name
                           , potentialAction :: PotentialAction
                           , sameAs :: SameAs
                           , url :: Url
                           }
                 deriving (Show, Read, Eq, Typeable)

instance MetaData DayOfWeek where
  _label         = const "Day of Week"
  _comment_plain = const "The day of the week, e.g. used to specify to which day the opening hours of an OpeningHoursSpecification refer.    Commonly used values:    http://purl.org/goodrelations/v1#Monday     http://purl.org/goodrelations/v1#Tuesday     http://purl.org/goodrelations/v1#Wednesday     http://purl.org/goodrelations/v1#Thursday     http://purl.org/goodrelations/v1#Friday     http://purl.org/goodrelations/v1#Saturday     http://purl.org/goodrelations/v1#Sunday     http://purl.org/goodrelations/v1#PublicHolidays"
  _comment       = const "The day of the week, e.g. used to specify to which day the opening hours of an OpeningHoursSpecification refer.<br/>    Commonly used values:<br/><br/>    http://purl.org/goodrelations/v1#Monday <br/>    http://purl.org/goodrelations/v1#Tuesday <br/>    http://purl.org/goodrelations/v1#Wednesday <br/>    http://purl.org/goodrelations/v1#Thursday <br/>    http://purl.org/goodrelations/v1#Friday <br/>    http://purl.org/goodrelations/v1#Saturday <br/>    http://purl.org/goodrelations/v1#Sunday <br/>    http://purl.org/goodrelations/v1#PublicHolidays <br/>        "
  _url           = const "http://schema.org/DayOfWeek"
  _ancestors     = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Intangible.Intangible)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Enumeration.Enumeration)]
  _subtypes      = const []
  _supertypes    = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Enumeration.Enumeration)]