{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.Festival where

--  Valid: 2016-03-21 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Text.HTML5.MetaData.Type
import Data.Text
import Data.Typeable
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Thing
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Event

-- | Event type: Festival.
--
--   [@id@] Festival
--
--   [@label@] Festival
--
--   [@comment@] Event type: Festival.
--
--   [@ancestors@] @'Thing','Event'@
--
--   [@subtypes@]
--
--   [@supertypes@] @'Event'@
--
--   [@url@] <http://schema.org/Festival>
data Festival = Festival { aggregateRating :: AggregateRating
                         , attendee :: Attendee
                         , doorTime :: DoorTime
                         , duration :: Duration
                         , endDate :: EndDate
                         , eventStatus :: EventStatus
                         , inLanguage :: InLanguage
                         , location :: Location
                         , offers :: Offers
                         , organizer :: Organizer
                         , performer :: Performer
                         , previousStartDate :: PreviousStartDate
                         , recordedIn :: RecordedIn
                         , review :: Review
                         , startDate :: StartDate
                         , subEvent :: SubEvent
                         , superEvent :: SuperEvent
                         , typicalAgeRange :: TypicalAgeRange
                         , workFeatured :: WorkFeatured
                         , workPerformed :: WorkPerformed
                         , additionalType :: AdditionalType
                         , alternateName :: AlternateName
                         , description :: Description
                         , image :: Image
                         , mainEntityOfPage :: MainEntityOfPage
                         , name :: Name
                         , potentialAction :: PotentialAction
                         , sameAs :: SameAs
                         , url :: Url
                         }
                deriving (Show, Read, Eq, Typeable)

instance MetaData Festival where
  _label         = const "Festival"
  _comment_plain = const "Event type: Festival."
  _comment       = const "Event type: Festival."
  _url           = const "http://schema.org/Festival"
  _ancestors     = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Event.Event)]
  _subtypes      = const []
  _supertypes    = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Event.Event)]