{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.ParcelService where

--  Valid: 2016-03-21 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Text.HTML5.MetaData.Type
import Data.Text
import Data.Typeable
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Thing
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Intangible
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Enumeration
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.DeliveryMethod

-- | A private parcel service as the delivery mode available for a certain offer.    Commonly used values:    http://purl.org/goodrelations/v1#DHL     http://purl.org/goodrelations/v1#FederalExpress     http://purl.org/goodrelations/v1#UPS
--
--   [@id@] ParcelService
--
--   [@label@] Parcel Service
--
--   [@comment@] A private parcel service as the delivery mode available for a certain offer.<br/>    Commonly used values:<br/><br/>    http://purl.org/goodrelations/v1#DHL <br/>    http://purl.org/goodrelations/v1#FederalExpress <br/>    http://purl.org/goodrelations/v1#UPS <br/>      
--
--   [@ancestors@] @'Thing','Intangible','Enumeration','DeliveryMethod'@
--
--   [@subtypes@]
--
--   [@supertypes@] @'DeliveryMethod'@
--
--   [@url@] <http://schema.org/ParcelService>
data ParcelService = ParcelService { supersededBy :: SupersededBy
                                   , additionalType :: AdditionalType
                                   , alternateName :: AlternateName
                                   , description :: Description
                                   , image :: Image
                                   , mainEntityOfPage :: MainEntityOfPage
                                   , name :: Name
                                   , potentialAction :: PotentialAction
                                   , sameAs :: SameAs
                                   , url :: Url
                                   }
                     deriving (Show, Read, Eq, Typeable)

instance MetaData ParcelService where
  _label         = const "Parcel Service"
  _comment_plain = const "A private parcel service as the delivery mode available for a certain offer.    Commonly used values:    http://purl.org/goodrelations/v1#DHL     http://purl.org/goodrelations/v1#FederalExpress     http://purl.org/goodrelations/v1#UPS"
  _comment       = const "A private parcel service as the delivery mode available for a certain offer.<br/>    Commonly used values:<br/><br/>    http://purl.org/goodrelations/v1#DHL <br/>    http://purl.org/goodrelations/v1#FederalExpress <br/>    http://purl.org/goodrelations/v1#UPS <br/>      "
  _url           = const "http://schema.org/ParcelService"
  _ancestors     = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Intangible.Intangible)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Enumeration.Enumeration)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.DeliveryMethod.DeliveryMethod)]
  _subtypes      = const []
  _supertypes    = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.DeliveryMethod.DeliveryMethod)]