{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.ParkingFacility where

--  Valid: 2016-03-21 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Text.HTML5.MetaData.Type
import Data.Text
import Data.Typeable
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Thing
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Place
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.CivicStructure

-- | A parking lot or other parking facility.
--
--   [@id@] ParkingFacility
--
--   [@label@] Parking Facility
--
--   [@comment@] A parking lot or other parking facility.
--
--   [@ancestors@] @'Thing','Place','CivicStructure'@
--
--   [@subtypes@]
--
--   [@supertypes@] @'CivicStructure'@
--
--   [@url@] <http://schema.org/ParkingFacility>
data ParkingFacility = ParkingFacility { openingHours :: OpeningHours
                                       , additionalProperty :: AdditionalProperty
                                       , address :: Address
                                       , aggregateRating :: AggregateRating
                                       , branchCode :: BranchCode
                                       , containedInPlace :: ContainedInPlace
                                       , containsPlace :: ContainsPlace
                                       , event :: Event
                                       , faxNumber :: FaxNumber
                                       , geo :: Geo
                                       , globalLocationNumber :: GlobalLocationNumber
                                       , hasMap :: HasMap
                                       , isicV4 :: IsicV4
                                       , logo :: Logo
                                       , openingHoursSpecification :: OpeningHoursSpecification
                                       , photo :: Photo
                                       , review :: Review
                                       , telephone :: Telephone
                                       , additionalType :: AdditionalType
                                       , alternateName :: AlternateName
                                       , description :: Description
                                       , image :: Image
                                       , mainEntityOfPage :: MainEntityOfPage
                                       , name :: Name
                                       , potentialAction :: PotentialAction
                                       , sameAs :: SameAs
                                       , url :: Url
                                       }
                       deriving (Show, Read, Eq, Typeable)

instance MetaData ParkingFacility where
  _label         = const "Parking Facility"
  _comment_plain = const "A parking lot or other parking facility."
  _comment       = const "A parking lot or other parking facility."
  _url           = const "http://schema.org/ParkingFacility"
  _ancestors     = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Place.Place)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.CivicStructure.CivicStructure)]
  _subtypes      = const []
  _supertypes    = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.CivicStructure.CivicStructure)]