{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.SteeringPositionValue where

--  Valid: 2016-03-21 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Text.HTML5.MetaData.Type
import Data.Text
import Data.Typeable
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Thing
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Intangible
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Enumeration
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.QualitativeValue

-- | A value indicating a steering position.
--
--   [@id@] SteeringPositionValue
--
--   [@label@] Steering Position Value
--
--   [@comment@] A value indicating a steering position.
--
--   [@ancestors@] @'Thing','Intangible','Enumeration','QualitativeValue'@
--
--   [@subtypes@]
--
--   [@supertypes@] @'QualitativeValue'@
--
--   [@url@] <http://schema.org/SteeringPositionValue>
data SteeringPositionValue = SteeringPositionValue { additionalProperty :: AdditionalProperty
                                                   , equal :: Equal
                                                   , greater :: Greater
                                                   , greaterOrEqual :: GreaterOrEqual
                                                   , lesser :: Lesser
                                                   , lesserOrEqual :: LesserOrEqual
                                                   , nonEqual :: NonEqual
                                                   , valueReference :: ValueReference
                                                   , supersededBy :: SupersededBy
                                                   , additionalType :: AdditionalType
                                                   , alternateName :: AlternateName
                                                   , description :: Description
                                                   , image :: Image
                                                   , mainEntityOfPage :: MainEntityOfPage
                                                   , name :: Name
                                                   , potentialAction :: PotentialAction
                                                   , sameAs :: SameAs
                                                   , url :: Url
                                                   }
                             deriving (Show, Read, Eq, Typeable)

instance MetaData SteeringPositionValue where
  _label         = const "Steering Position Value"
  _comment_plain = const "A value indicating a steering position."
  _comment       = const "A value indicating a steering position."
  _url           = const "http://schema.org/SteeringPositionValue"
  _ancestors     = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Intangible.Intangible)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Enumeration.Enumeration)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.QualitativeValue.QualitativeValue)]
  _subtypes      = const []
  _supertypes    = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.QualitativeValue.QualitativeValue)]