{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.SuspendAction where

--  Valid: 2016-03-21 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Text.HTML5.MetaData.Type
import Data.Text
import Data.Typeable
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Thing
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Action
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.ControlAction

-- | The act of momentarily pausing a device or application (e.g. pause music playback or pause a timer).
--
--   [@id@] SuspendAction
--
--   [@label@] Suspend Action
--
--   [@comment@] The act of momentarily pausing a device or application (e.g. pause music playback or pause a timer).
--
--   [@ancestors@] @'Thing','Action','ControlAction'@
--
--   [@subtypes@]
--
--   [@supertypes@] @'ControlAction'@
--
--   [@url@] <http://schema.org/SuspendAction>
data SuspendAction = SuspendAction { actionStatus :: ActionStatus
                                   , agent :: Agent
                                   , endTime :: EndTime
                                   , error :: Error
                                   , instrument :: Instrument
                                   , location :: Location
                                   , object :: Object
                                   , participant :: Participant
                                   , result :: Result
                                   , startTime :: StartTime
                                   , target :: Target
                                   , additionalType :: AdditionalType
                                   , alternateName :: AlternateName
                                   , description :: Description
                                   , image :: Image
                                   , mainEntityOfPage :: MainEntityOfPage
                                   , name :: Name
                                   , potentialAction :: PotentialAction
                                   , sameAs :: SameAs
                                   , url :: Url
                                   }
                     deriving (Show, Read, Eq, Typeable)

instance MetaData SuspendAction where
  _label         = const "Suspend Action"
  _comment_plain = const "The act of momentarily pausing a device or application (e.g. pause music playback or pause a timer)."
  _comment       = const "The act of momentarily pausing a device or application (e.g. pause music playback or pause a timer)."
  _url           = const "http://schema.org/SuspendAction"
  _ancestors     = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Action.Action)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.ControlAction.ControlAction)]
  _subtypes      = const []
  _supertypes    = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.ControlAction.ControlAction)]