{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.WarrantyScope where

--  Valid: 2016-03-21 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Text.HTML5.MetaData.Type hiding (WarrantyScope)
import Data.Text
import Data.Typeable
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Thing
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Intangible
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Enumeration

-- | A range of of services that will be provided to a customer free of charge in case of a defect or malfunction of a product.    Commonly used values:    http://purl.org/goodrelations/v1#Labor-BringIn     http://purl.org/goodrelations/v1#PartsAndLabor-BringIn     http://purl.org/goodrelations/v1#PartsAndLabor-PickUp
--
--   [@id@] WarrantyScope
--
--   [@label@] Warranty Scope
--
--   [@comment@] A range of of services that will be provided to a customer free of charge in case of a defect or malfunction of a product.<br/>    Commonly used values:<br/><br/>    http://purl.org/goodrelations/v1#Labor-BringIn <br/>    http://purl.org/goodrelations/v1#PartsAndLabor-BringIn <br/>    http://purl.org/goodrelations/v1#PartsAndLabor-PickUp <br/>      
--
--   [@ancestors@] @'Thing','Intangible','Enumeration'@
--
--   [@subtypes@]
--
--   [@supertypes@] @'Enumeration'@
--
--   [@url@] <http://schema.org/WarrantyScope>
data WarrantyScope = WarrantyScope { supersededBy :: SupersededBy
                                   , additionalType :: AdditionalType
                                   , alternateName :: AlternateName
                                   , description :: Description
                                   , image :: Image
                                   , mainEntityOfPage :: MainEntityOfPage
                                   , name :: Name
                                   , potentialAction :: PotentialAction
                                   , sameAs :: SameAs
                                   , url :: Url
                                   }
                     deriving (Show, Read, Eq, Typeable)

instance MetaData WarrantyScope where
  _label         = const "Warranty Scope"
  _comment_plain = const "A range of of services that will be provided to a customer free of charge in case of a defect or malfunction of a product.    Commonly used values:    http://purl.org/goodrelations/v1#Labor-BringIn     http://purl.org/goodrelations/v1#PartsAndLabor-BringIn     http://purl.org/goodrelations/v1#PartsAndLabor-PickUp"
  _comment       = const "A range of of services that will be provided to a customer free of charge in case of a defect or malfunction of a product.<br/>    Commonly used values:<br/><br/>    http://purl.org/goodrelations/v1#Labor-BringIn <br/>    http://purl.org/goodrelations/v1#PartsAndLabor-BringIn <br/>    http://purl.org/goodrelations/v1#PartsAndLabor-PickUp <br/>      "
  _url           = const "http://schema.org/WarrantyScope"
  _ancestors     = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Intangible.Intangible)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Enumeration.Enumeration)]
  _subtypes      = const []
  _supertypes    = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Enumeration.Enumeration)]